Package: org.apache.groovy.json.internal

## [Java] Class Exceptions.JsonInternalException

- org.apache.groovy.json.internal.Exceptions.JsonInternalException

-     public static class Exceptions.JsonInternalException
      extends JsonException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonInternalException(String message)`
    `JsonInternalException(String message, Throwable cause)`
    `JsonInternalException(Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Throwable` | `getCause()`
    `` | `public String` | `getLocalizedMessage()`
    `` | `public String` | `getMessage()`
    `` | `public StackTraceElement[]` | `getStackTrace()`
    `` | `public void` | `printStackTrace(PrintStream s)`
    `` | `public void` | `printStackTrace(PrintWriter s)`
    `` | `public void` | `printStackTrace()`

- - ### Constructor Detail

    - #### public JsonInternalException(String message)

    - #### public JsonInternalException(String message, Throwable cause)

    - #### public JsonInternalException(Throwable cause)

  - ### Method Detail

    - #### @Override
      public Throwable getCause()

    - #### @Override
      public String getLocalizedMessage()

    - #### @Override
      public String getMessage()

    - #### @Override
      public StackTraceElement[] getStackTrace()

    - #### @Override
      public void printStackTrace(PrintStream s)

    - #### @Override
      public void printStackTrace(PrintWriter s)

    - #### @Override
      public void printStackTrace()